Skip to main content
POST
/
{env_id}
/
{flow_id}
/
{tenant}
/
connectors
/
{connector_id}
/
{stream}
Write to a connector
curl --request POST \
  --url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/connectors/{connector_id}/{stream} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{
  "data": {}
}'
import requests

url = "https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/connectors/{connector_id}/{stream}"

payload = { "data": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};

fetch('https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/connectors/{connector_id}/{stream}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "async": false,
  "jobId": "UvzWy0",
  "taskId": "3cecd80d-b377-4566-9d8c-e1e870b887ab",
  "state": {
    "bookmarks": {
      "Contact": [
        {
          "hash": "07f9838d07fca662ce396d1cce9db0893eb3ffee4290ffc20d992a8fde333e2e",
          "success": false,
          "error": "[{\"message\":\"No such column 'EmailAddress' on sobject of type Contact\",\"errorCode\":\"INVALID_FIELD\"}]"
        }
      ]
    },
    "summary": {
      "Contact": {
        "success": 0,
        "fail": 1,
        "existing": 0,
        "updated": 0
      }
    }
  },
  "logs": "..."
}
{
"Code": "BadRequestError",
"Message": "Title can't be blank"
}

Authorizations

x-api-key
string
header
required

Path Parameters

env_id
string
required

ID of environment

flow_id
string
required

ID of flow

tenant
string
required

ID of tenant

connector_id
string
required

ID of connector

stream
string
required

Stream name

Body

application/json
data
object

The object you want to post to a connector

Response

200

async
boolean

Indicates whether the job is asynchronous

Example:

false

statusUrl
string

If async is true, this will be the URL to poll for the status of the write request.

jobId
string

A unique job identifier

Example:

"UvzWy0"

taskId
string<uuid>

A unique task identifier

Example:

"3cecd80d-b377-4566-9d8c-e1e870b887ab"

state
object
logs
string

Optional logs for debugging or processing information

Example:

"..."